Bug 24495 - Reword change collection feature
Summary: Reword change collection feature
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Roberts
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on: 11373
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-23 14:57 UTC by Andrew Fuerste-Henry
Modified: 2020-04-03 18:32 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This patch changes the text "Collect from patron" to "Amount tendered" for all payment options in the patron record, and in the Point of Sale screen.
Version(s) released in:
20.05.00


Attachments
Bug 24495: Reword change collection feature (2.93 KB, patch)
2020-01-28 00:24 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24495: Reword change collection feature (2.98 KB, patch)
2020-01-28 06:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 24495: Reword change collection feature (3.04 KB, patch)
2020-01-28 17:44 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24495: Reword change collection feature (3.14 KB, patch)
2020-02-07 21:18 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24495: Reword change collection feature (3.29 KB, patch)
2020-03-18 08:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-23 14:57:52 UTC
We've had several libraries contact us with confusion over the new change collection feature. Apparently the wording on "Amount paid" and "Collect from patron" is not broadly intuitive. Opening this to consider alternate wording.
Comment 1 Martin Renvoize 2020-01-25 09:14:58 UTC
This now spans two places.. the Point of Sale page and the Paycollect page..

Very open to suggestions on how to improve the wording here.
Comment 2 David Roberts 2020-01-26 00:40:34 UTC
Would changing "Amount being paid" to something like "total owed" or "subtotal", and "Collect from patron" to something like "Amount tendered" be an acceptable rewording?
Comment 3 Andrew Fuerste-Henry 2020-01-27 14:18:06 UTC
I have a really hard time guessing at what might work better here, because I very much thought the existing wording was clear. But once we'd upgraded our partner libraries we got a lot of questions about it. I *think* the issue is more with "collect from patron" than with "amount paid." 

"Amount tendered" seems like a good option. I think that's fairly standard cash register wording.
Comment 4 David Roberts 2020-01-27 22:32:08 UTC
So you are happy with "Amount tendered"? I agree that is normal cash register terminology. What about "Amount due" or "Amount owed" for the other field, or shall we just leave that as it is?
Comment 5 Andrew Fuerste-Henry 2020-01-27 23:26:24 UTC
Let's try:
- "Total amount payable"
- "Amount being paid"
- "Amount tendered"
- "Change to give"

So that's nothing changed except "Collected from patron" changed to "Amount tendered."
I talked to other folks here and in all the cases where libraries have gotten confused about this, they just asked us to hide it entirely so we don't have much for specific wording feedback.
Thanks for looking at this!
Comment 6 David Roberts 2020-01-28 00:24:23 UTC
Created attachment 98009 [details] [review]
Bug 24495: Reword change collection feature

This patch changes the text of the "Collect from patron" field to read "Amount tendered"

To Test:

1) In the Point of Sale screen, check that the text inside the "Collect payment" box reads "Collect from patron"
2) Go into a patron record, and create a manual invoice.
3) Go to Make a payment, and select to "Pay an amount". Check the text reads "Collect from patron".
4) Repeat the process with the "Pay Selected", and "Pay" button (listed next to the individual invoice)
5) Install the patch
6) Repeat steps 1-4, but the text should now read "Amount tendered", instead of "Collect from patron" in all payment options in the patron record, and in the Point of Sale screen.
Comment 7 David Roberts 2020-01-28 00:25:52 UTC
I've now changed the text of the "Collect from patron" box to "Amount tendered" in both the POS and Paycollect pages. No other fields have been altered.
Comment 8 David Nind 2020-01-28 06:59:24 UTC
Created attachment 98010 [details] [review]
Bug 24495: Reword change collection feature

This patch changes the text of the "Collected from patron" field to read "Amount tendered"

To Test:

0) Enable the point of sale system (EnablePointOfSale + UseCashRegister)
1) In the Point of Sale screen, check that the text inside the "Collect payment" box reads "Collected from patron"
2) Go into a patron record, and create a manual invoice.
3) Go to Make a payment, and select to "Pay an amount". Check the text reads "Collected from patron".
4) Repeat the process with the "Pay Selected", and "Pay" button (listed next to the individual invoice)
5) Install the patch
6) Repeat steps 1-4, but the text should now read "Amount tendered", instead of "Collected from patron" in all payment options in the patron record, and in the Point of Sale screen.

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 David Nind 2020-01-28 07:02:15 UTC
Note that current master says "Collected from patron" rather than "Collect from patron". 

I updated the test plan to reflect that, including the system preferences to enable the point of sale feature.
Comment 10 ByWater Sandboxes 2020-01-28 17:44:57 UTC
Created attachment 98043 [details] [review]
Bug 24495: Reword change collection feature

This patch changes the text of the "Collect from patron" field to read "Amount tendered"

To Test:

1) In the Point of Sale screen, check that the text inside the "Collect payment" box reads "Collect from patron"
2) Go into a patron record, and create a manual invoice.
3) Go to Make a payment, and select to "Pay an amount". Check the text reads "Collect from patron".
4) Repeat the process with the "Pay Selected", and "Pay" button (listed next to the individual invoice)
5) Install the patch
6) Repeat steps 1-4, but the text should now read "Amount tendered", instead of "Collect from patron" in all payment options in the patron record, and in the Point of Sale screen.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 11 Andrew Fuerste-Henry 2020-01-28 17:46:34 UTC
Looks good! Adding my signoff.
I did notice that the popup that tells you to give change still says "amount collected from patron." I'm not concerned about it, but am pointing it out in case someone else has a stronger need for consistency.
Comment 12 David Roberts 2020-01-28 22:57:27 UTC
The wording in the popup is pretty clear as it is a complete sentence which is pretty self-explanatory. I can change it if people wish, but I personally don't think it's necessary.
Comment 13 Andrew Fuerste-Henry 2020-01-29 13:29:54 UTC
Works for me!
Comment 14 Bouzid Fergani 2020-02-07 21:18:17 UTC
Created attachment 98595 [details] [review]
Bug 24495: Reword change collection feature

This patch changes the text of the "Collect from patron" field to read "Amount tendered"

To Test:

1) In the Point of Sale screen, check that the text inside the "Collect payment" box reads "Collect from patron"
2) Go into a patron record, and create a manual invoice.
3) Go to Make a payment, and select to "Pay an amount". Check the text reads "Collect from patron".
4) Repeat the process with the "Pay Selected", and "Pay" button (listed next to the individual invoice)
5) Install the patch
6) Repeat steps 1-4, but the text should now read "Amount tendered", instead of "Collect from patron" in all payment options in the patron record, and in the Point of Sale screen.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

https://bugs.koha-community.org/show_bug.cgi?id=23916
Comment 15 Jonathan Druart 2020-03-18 08:16:24 UTC
Created attachment 100930 [details] [review]
Bug 24495: Reword change collection feature

This patch changes the text of the "Collect from patron" field to read "Amount tendered"

To Test:

1) In the Point of Sale screen, check that the text inside the "Collect payment" box reads "Collect from patron"
2) Go into a patron record, and create a manual invoice.
3) Go to Make a payment, and select to "Pay an amount". Check the text reads "Collect from patron".
4) Repeat the process with the "Pay Selected", and "Pay" button (listed next to the individual invoice)
5) Install the patch
6) Repeat steps 1-4, but the text should now read "Amount tendered", instead of "Collect from patron" in all payment options in the patron record, and in the Point of Sale screen.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Martin Renvoize 2020-03-18 08:45:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 17 Joy Nelson 2020-04-03 18:32:14 UTC
does not apply to 19.11.x branch.  please rebase if needed.